> ## Documentation Index
> Fetch the complete documentation index at: https://docs.diversion.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get merge details

> Retrieves detailed information about a specific open merge including all conflicts with their base, other, and result indices.

**Each conflict shows:**
- File paths
- Modes
- Sizes
- Storage locations
- Resolution status

**Returns:**
- `404 Not Found` if the merge doesn't exist
- `405 Method Not Allowed` if the merge is obsolete




## OpenAPI

````yaml get /repos/{repo_id}/merges/{merge_id}
openapi: 3.0.3
info:
  title: Diversion Core API
  description: >-
    Definition of the Core API used to access low-level functionality of
    Diversion
  version: 0.2.0
servers:
  - url: https://api.diversion.dev/v0
    description: Base endpoint
security: []
paths:
  /repos/{repo_id}/merges/{merge_id}:
    parameters:
      - $ref: '#/components/parameters/RepoParam'
      - $ref: '#/components/parameters/MergeParam'
    get:
      tags:
        - Repository Merge Manipulation
      summary: Details of a specific merge in progress
      operationId: src.handlersv2.merge.get_open_merge
      responses:
        '200':
          $ref: '#/components/responses/DetailedMerge'
        '404':
          $ref: '#/components/responses/NotFound'
      security:
        - OAuth2:
            - coreapi/read
        - OAuth2:
            - coreapi/write
components:
  parameters:
    RepoParam:
      in: path
      name: repo_id
      required: true
      schema:
        type: string
        example: example_id
        minLength: 3
        maxLength: 128
      description: >-
        The repo ID of the repository. Repo _name_ can be used instead of the
        ID, but usage of ID for permanent linking and API requests is preferred.
    MergeParam:
      in: path
      name: merge_id
      schema:
        type: string
        example: example_id
        minLength: 3
        maxLength: 128
      required: true
      description: An ID of a merge attempt
  responses:
    DetailedMerge:
      description: An object describing the merge.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/DetailedMerge'
    NotFound:
      description: The specified resource was not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  schemas:
    DetailedMerge:
      allOf:
        - $ref: '#/components/schemas/Merge'
        - type: object
          properties:
            conflicts:
              type: array
              items:
                $ref: '#/components/schemas/Conflict'
          required:
            - conflicts
    Error:
      type: object
      properties:
        status:
          type: integer
          description: HTTP status code
          example: 403
        detail:
          type: string
          example: User not authorized to perform the requested action on the resource
        title:
          type: string
        type:
          type: string
      required:
        - status
        - detail
    Merge:
      description: Describes a merge in progress with conflicts
      type: object
      properties:
        id:
          type: string
        repo_id:
          type: string
        user:
          $ref: '#/components/schemas/User'
        base_ref:
          type: string
        base_commit:
          type: string
        other_ref:
          type: string
        other_commit:
          type: string
        ancestor_commit:
          type: string
      required:
        - id
        - repo_id
        - user
        - base_ref
        - base_commit
        - other_ref
        - other_commit
        - ancestor_commit
    Conflict:
      type: object
      properties:
        conflict_id:
          type: string
        is_resolved:
          type: boolean
        base:
          $ref: '#/components/schemas/ConflictIndex'
        other:
          $ref: '#/components/schemas/ConflictIndex'
        result:
          $ref: '#/components/schemas/ConflictIndex'
      required:
        - conflict_id
        - is_resolved
        - base
        - other
    User:
      description: User details
      type: object
      properties:
        image:
          type: string
          description: URL of the user image
        email:
          type: string
          format: email
        full_name:
          type: string
        id:
          type: string
        name:
          type: string
      required:
        - id
    ConflictIndex:
      type: object
      description: >
        A index in a conflict, could be representing either "base", "other" or
        "result". If the index does not represent "result", then all properties
        besides "prev_path" can be considered 'required'.
      required:
        - conflict_index_id
        - file_mode
        - path
        - type
      properties:
        conflict_index_id:
          type: string
          enum:
            - RESULT
            - BASE
            - OTHER
        file_mode:
          $ref: '#/components/schemas/FileMode'
        path:
          type: string
        prev_path:
          type: string
        type:
          $ref: '#/components/schemas/ObjectStatus'
    FileMode:
      type: integer
      description: The file mode (as Unix mode)
      enum:
        - 16877
        - 33188
        - 33261
        - 40960
      x-ogen-enum-naming:
        '16877': FileMode_TREE
        '33188': FileMode_FILE
        '33261': FileMode_EXECUTABLE
        '40960': FileMode_SYMLINK
    ObjectStatus:
      type: integer
      enum:
        - 1
        - 2
        - 3
        - 4
      description: 'One of: 1 - INTACT, 2 - ADDED, 3 - MODIFIED, 4 - DELETED'
      x-ogen-enum-naming:
        '1': ObjectStatus_INTACT
        '2': ObjectStatus_ADDED
        '3': ObjectStatus_MODIFIED
        '4': ObjectStatus_DELETED
  securitySchemes:
    OAuth2:
      type: oauth2
      x-tokenInfoFunc: src.token_info.token_auth
      description: This API uses OAuth 2 with the implicit grant flow
      flows:
        implicit:
          authorizationUrl: https://auth.diversion.dev/oauth2/authorize
          scopes:
            coreapi/read: Operations with no possible side-effects
            coreapi/write: Modifying operations
            coreapi/admin: >-
              Organizational operations like adding a repo or changing repo
              properties

````